RegistriesOperations Class
RegistriesOperations async operations.
You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.
- Inheritance
-
builtins.objectRegistriesOperations
Constructor
RegistriesOperations(client, config, serializer, deserializer)
Parameters
- client
Client for service requests.
- config
Configuration of service client.
- serializer
An object model serializer.
- deserializer
An object model deserializer.
Variables
- models
Alias to model classes used in this operation group.
Methods
| begin_queue_build |
Creates a new build based on the request parameters and add it to the build queue. |
| get_build_source_upload_url |
Get the upload location for the user to be able to upload the source. |
begin_queue_build
Creates a new build based on the request parameters and add it to the build queue.
async begin_queue_build(resource_group_name: str, registry_name: str, build_request: azure.mgmt.containerregistry.v2018_02_01_preview.models._models_py3.QueueBuildRequest, **kwargs: Any) -> azure.core.polling._async_poller.AsyncLROPoller[azure.mgmt.containerregistry.v2018_02_01_preview.models._models_py3.Build]
Parameters
- resource_group_name
- str
The name of the resource group to which the container registry belongs.
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or AsyncPollingMethod
By default, your polling method will be AsyncARMPolling. Pass in False for this operation to not poll, or pass in your own initialized polling object for a personal polling strategy.
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of AsyncLROPoller that returns either Build or the result of cls(response)
Return type
Exceptions
get_build_source_upload_url
Get the upload location for the user to be able to upload the source.
async get_build_source_upload_url(resource_group_name: str, registry_name: str, **kwargs: Any) -> azure.mgmt.containerregistry.v2018_02_01_preview.models._models_py3.SourceUploadDefinition
Parameters
- resource_group_name
- str
The name of the resource group to which the container registry belongs.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
SourceUploadDefinition, or the result of cls(response)
Return type
Exceptions
Attributes
models
models = <module 'azure.mgmt.containerregistry.v2018_02_01_preview.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\containerregistry\\v2018_02_01_preview\\models\\__init__.py'>
Feedback
Submit and view feedback for